/*
	This file is part of "Interface Fractures III - Silicon".
	Copyright (c) 2015 Luka Prinčič, All rights reserved.
	This program is free software distributed under
	GNU General Public Licence. See COPYING for more info.
	- - - - - - - - - - - - - - - - - - - - - - - - - - - -

	Interface Fractures III - Silicon

	(c) Luka Prinčič / Nova deViator
	nova@deviator.si

  getLinesData.pde - process spectral lines
  
*/



ArrayList<FloatList> getLinesData() {


  String[] siLinesData;
  siLinesData = loadStrings(dataPath(sketchPath + "/silicon_lines.txt"));

  ArrayList<FloatList> siLinesList = new ArrayList<FloatList>();  

  for (String lineData : siLinesData ) {
    String[] datatemp = split(lineData, " ");
    
    FloatList data_x;
    data_x = new FloatList();

    for (int i = 0; i < datatemp.length; i++) {
      if (!datatemp[i].equals("")) { // if not empty (spaces):
        data_x.append(float(datatemp[i]));
      }
    }
    printArray(data_x);
    siLinesList.add(data_x);

  }

  for(int i = 0; i < siLinesList.size(); i ++) {
    println(siLinesList.get(i).get(0));
  }
  
  //printArray(siLinesList);




  
  return siLinesList;
  
}
